
Foreman - Feature #17807

Will be handy to have the equivalent of rails runner in foreman-rake

12/20/2016 07:31 PM - Partha Aji

Status: New   

Priority: Normal   

Assignee:    

Category: Rake tasks   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In a production environment I ve had to use "foreman-rake console" quite a few times to get information about objects while

debugging customer instances. I know rails provides a "rails runner" script that can be used to run and fetch/execute data.

Would be nice to have a handy script to say something like "foreman-rake runner EVAL='Hostgroup.find(5).inspect'". We can then

just ask the customer to run that line and get information.

History

#1 - 12/20/2016 07:38 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4122 added

#2 - 06/22/2017 04:04 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Assignee deleted (Partha Aji)

- Pull request deleted (https://github.com/theforeman/foreman/pull/4122)
